: Class DatabaseException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ModSQL
Class DatabaseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.sql.SQLException
                        |
                        +--ModSQL.SQLExceptionWithCause
                              |
                              +--ModSQL.DatabaseException

All Implemented Interfaces:
  Serializable

public class DatabaseException
extends SQLExceptionWithCause

An exception for use by classes implementing `DatabaseManager`, `DatabaseTable`, and `DatabaseIndex` to represent database errors that may occur.

Author:
  chris.studholme@utoronto.ca
See Also:
  Serialized Form

Fields inherited from class ModSQL.SQLExceptionWithCause
`cause`

Fields inherited from class java.sql.SQLException
`next, SQLState, vendorCode`

Fields inherited from class java.lang.Throwable
`backtrace, detailMessage, serialVersionUID`

Constructor Summary
`DatabaseException()` Default constructor.
`DatabaseException(String message)` Exception with a specific reason.
`DatabaseException(String message, Throwable cause)` Exception that was caused by some other exception.
`DatabaseException(Throwable cause)` Exception that was caused by some other exception.

Methods inherited from class ModSQL.SQLExceptionWithCause
`getCause`

Methods inherited from class java.sql.SQLException
`getErrorCode, getNextException, getSQLState, setNextException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, printStackTrace0, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Constructor Detail

### DatabaseException

    public DatabaseException()

  Default constructor.

### DatabaseException

    public DatabaseException(String message)

  Exception with a specific reason.
  Parameters:
    `message` - reason exception was thrown

### DatabaseException

    public DatabaseException(String message,
                             Throwable cause)

  Exception that was caused by some other exception.
  Parameters:
    `message` - reason exception was thrown
    `cause` - the cause of this exception

### DatabaseException

    public DatabaseException(Throwable cause)

  Exception that was caused by some other exception.
  Parameters:
    `cause` - the cause of this exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD